Subject: bug#54970: 28.1; Some emoji no longer display

From: Howard Melman <[email-masked]>
Date: Sun, 17 Apr 2022 14:09:25 -0400

On Apr 17, 2022, at 2:00 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> You have too many fonts ;-)  It is strange that with so many fonts the
> U+1F37D couldn't be displayed.

macOS supports lots of languages out of the box :)

I'm reading a lot about unicode and fontsets and trying to wrap
my head around it.  I can't quite answer this yet, the font to display
U+1F37D is Apple Color Emoji.  I get that emacs might not want
to enable that font by default, but emacs does use it by default to show
some emoji, though I don't see it listed when I do M-x describe-fontset.

> Okay, try with codepoints between D800 and DB7F: what does that produce?

I'm sorry I don't follow what you want me to do, can you be more specific?

Howard